Package: geb.content

## [Groovy] Class TemplateDerivedPageContent

- geb.content.TemplateDerivedPageContent

- All Implemented Interfaces and Traits:
    Navigator

      @SuppressWarnings("FieldName")
      class TemplateDerivedPageContent
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Navigator` | `_navigator` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateDerivedPageContent (Browser browser, PageContentTemplate template, Navigator navigator, Object[] args)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Navigator` | `$(Map<String, Object> predicates)`
    `Navigator` | `$(Map<String, Object> predicates, int index)`
    `Navigator` | `$(Map<String, Object> predicates, Range<Integer> range)`
    `Navigator` | `$(Map<String, Object> predicates, String selector)`
    `Navigator` | `$(Map<String, Object> predicates, String selector, int index)`
    `Navigator` | `$(Map<String, Object> predicates, String selector, Range<Integer> range)`
    `Navigator` | `$(String selector)`
    `Navigator` | `$(String selector, int index)`
    `Navigator` | `$(String selector, Range<Integer> range)`
    `Navigator` | `$(Map<String, Object> predicates, By bySelector)`
    `Navigator` | `$(Map<String, Object> predicates, By bySelector, int index)`
    `Navigator` | `$(Map<String, Object> predicates, By bySelector, Range<Integer> range)`
    `Navigator` | `$(By bySelector)`
    `Navigator` | `$(By bySelector, int index)`
    `Navigator` | `$(By bySelector, Range<Integer> range)`
    `boolean` | `asBoolean()`
    `Object` | `asType(Class type)`
    `Navigator` | `click()`
    `void` | `ensureWithinBounds(int min, int max)`
    `boolean` | `equals(Object o)`
    `Browser` | `getBrowser()`
    `WebDriver` | `getDriver()`
    `PageContentTemplateParams` | `getTemplateParams()`
    `int` | `hashCode()`
    `boolean` | `isFocused()`
    `boolean` | `isPresent()`
    `def` | `methodMissing(String name, def args)`
    `def` | `propertyMissing(String name)`
    `def` | `propertyMissing(String name, def val)`
    `void` | `require()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### @Delegate protected Navigator _navigator

  - ### Constructor Detail

    - #### TemplateDerivedPageContent(Browser browser, PageContentTemplate template, Navigator navigator, Object[] args)

  - ### Method Detail

    - #### @Override Navigator $(Map<String, Object> predicates)

    - #### @Override Navigator $(Map<String, Object> predicates, int index)

    - #### @Override Navigator $(Map<String, Object> predicates, Range<Integer> range)

    - #### @Override Navigator $(Map<String, Object> predicates, String selector)

    - #### @Override Navigator $(Map<String, Object> predicates, String selector, int index)

    - #### @Override Navigator $(Map<String, Object> predicates, String selector, Range<Integer> range)

    - #### @Override Navigator $(String selector)

    - #### @Override Navigator $(String selector, int index)

    - #### @Override Navigator $(String selector, Range<Integer> range)

    - #### @Override Navigator $(Map<String, Object> predicates, By bySelector)

    - #### @Override Navigator $(Map<String, Object> predicates, By bySelector, int index)

    - #### @Override Navigator $(Map<String, Object> predicates, By bySelector, Range<Integer> range)

    - #### @Override Navigator $(By bySelector)

    - #### @Override Navigator $(By bySelector, int index)

    - #### @Override Navigator $(By bySelector, Range<Integer> range)

    - #### boolean asBoolean()

    - #### Object asType(Class type)

    - #### Navigator click()

    - #### void ensureWithinBounds(int min, int max)

    - #### @Override boolean equals(Object o)

    - #### Browser getBrowser()

    - #### WebDriver getDriver()

    - #### PageContentTemplateParams getTemplateParams()

    - #### @Override int hashCode()

    - #### @Override boolean isFocused()

    - #### boolean isPresent()

    - #### def methodMissing(String name, def args)

    - #### def propertyMissing(String name)

    - #### def propertyMissing(String name, def val)

    - #### void require()

    - #### String toString()